Bug 1732565 (CVE-2019-10221) - CVE-2019-10221 pki-core: Reflected XSS in getcookies?url= endpoint in CA
Summary: CVE-2019-10221 pki-core: Reflected XSS in getcookies?url= endpoint in CA
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-10221
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
: 1902050 (view as bug list)
Depends On: 1789843 1926318 1926319 1789907 1798039
Blocks: 1732570 1899615
TreeView+ depends on / blocked
 
Reported: 2019-07-23 17:54 UTC by msiddiqu
Modified: 2021-02-16 21:37 UTC (History)
12 users (show)

Fixed In Version: pki 10.9.0
Doc Type: If docs needed, set a value
Doc Text:
A Reflected Cross Site Scripting vulnerability was found in the pki-ca module from the pki-core server. This flaw is caused by missing sanitization of the GET URL parameters. An attacker could abuse this flaw to trick an authenticated user into clicking a specially crafted link which can execute arbitrary code when viewed in a browser.
Clone Of:
Environment:
Last Closed: 2020-11-04 02:21:36 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4847 0 None None None 2020-11-04 03:14:48 UTC

Description msiddiqu 2019-07-23 17:54:54 UTC
A vulnerability, reflected cross site scripting in getcookies?url= endpoint in CA was reported in pki-core

Comment 1 msiddiqu 2019-07-23 17:54:56 UTC
Acknowledgments:

Name: Pritam Singh (Red Hat)

Comment 5 Cedric Buissart 2020-02-04 12:47:39 UTC
Statement:

This vulnerability is rated Low : the web UI uses client TLS authentication, therefore stealing session cookies will not be sufficient for unauthorized access. The vulnerable page itself does not contain secrets.

Comment 6 Cedric Buissart 2020-02-04 12:54:34 UTC
Created pki-core tracking bugs for this issue:

Affects: fedora-all [bug 1798039]

Comment 7 Salvatore Bonaccorso 2020-02-07 06:29:44 UTC
Do you know if this was reported in the upstream issue tracker and there is a fix?

Comment 8 Cedric Buissart 2020-02-07 14:36:21 UTC
Upstream is aware. There is currently no fix. I will check for upstream issue tracker.

However, the security consequences are very limited. 
e.g. : Thanks to the webUI using client side TLS authentication, stealing a cookie will not be of much use to the attacker. 
At the moment, the only concern is about defacing.

If/when there is a fix upstream, it will be posted on this bug tracker.

I hope this helps!

Comment 9 Product Security DevOps Team 2020-11-04 02:21:36 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-10221

Comment 10 errata-xmlrpc 2020-11-04 03:14:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4847 https://access.redhat.com/errata/RHSA-2020:4847

Comment 12 Cedric Buissart 2021-01-07 11:11:44 UTC
*** Bug 1902050 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.